#!/bin/bash

echo '#######################################################################'
echo '#                                                                     #'
echo '#                           MachMaker                                 #'
echo '#      	     Xubuntu 18.04 RT - LinuxCNC installator                 #'
echo '#                                                                     #'
echo '#                        www.machmaker.pl                             #'
echo '#                                                                     #'
echo '#######################################################################'
sleep 2

sudo systemctl stop udisks2.service
image_name="machmaker_xubuntu_18_04_rt_linuxcnc_part_25GB-img"
sata_disk="/dev/sda"
ata_disk="/dev/hda"

if [ -b "$sata_disk" ]; then
	system_disk_device="/dev/sda"
	system_partition_device="/dev/sda1"
	system_partition="sda1"
else
	if [ -b "$ata_disk" ]; then
		system_disk_device="/dev/hda"
		system_partition_device="/dev/hda1"
		system_partition="hda1"
	else
		echo "NO HARD DISK DETECT"
		exit
	fi
fi

sudo umount $system_partition_device

sudo sfdisk $system_disk_device --delete

sudo parted $system_disk_device --script mklabel msdos
sudo parted $system_disk_device --script mkpart primary ext4 2048s 51202047s
sudo parted $system_disk_device --script set 1 BOOT on
sudo parted $system_disk_device --script align-check minimal 1

sudo mkfs.ext4 -F $system_partition_device

sudo ocs-sr -k -g $system_partition_device -scr restoreparts $image_name $system_partition
sudo umount -a$system_partition_device

sudo parted $system_disk_device --script resizepart 1 100%

sudo mount $system_partition_device /mnt
sudo grub-install --root-directory=/mnt $system_disk_device
sleep 1
sudo umount $system_partition_device
sleep 1
sudo systemctl start udisks2.service

echo '#######################################################################'
echo '#                                                                     #'
echo '#                              Done                                   #'
echo '#                        www.machmaker.pl                             #'
echo '#######################################################################'
read -p "Please Enter to exit" enter



